Bug 203896 - [GTK] Add pointer lock permission request API
Summary: [GTK] Add pointer lock permission request API
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on:
Blocks:
 
Reported: 2019-11-06 05:22 PST by Carlos Garcia Campos
Modified: 2019-11-08 01:19 PST (History)
10 users (show)

See Also:


Attachments
Patch (26.30 KB, patch)
2019-11-06 05:25 PST, Carlos Garcia Campos
aperez: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2019-11-06 05:22:52 PST
Now that we have pointer lock support, we should provide API to be able to deny a pointer lock request or notify the user before locking the pointer.
Comment 1 Carlos Garcia Campos 2019-11-06 05:25:15 PST
Created attachment 382921 [details]
Patch
Comment 2 Build Bot 2019-11-06 05:26:05 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Carlos Alberto Lopez Perez 2019-11-06 08:45:27 PST
Comment on attachment 382921 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=382921&action=review

> Source/WebKit/UIProcess/API/gtk/WebKitPointerLockPermissionRequest.h:37
> +#define WEBKIT_TYPE_POINTER_LOCK_PERMISSION_REQUEST            (webkit_pointer_lock_permission_request_get_type())
> +#define WEBKIT_POINTER_LOCK_PERMISSION_REQUEST(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), WEBKIT_TYPE_POINTER_LOCK_PERMISSION_REQUEST, WebKitPointerLockPermissionRequest))
> +#define WEBKIT_POINTER_LOCK_PERMISSION_REQUEST_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  WEBKIT_TYPE_POINTER_LOCK_PERMISSION_REQUEST, WebKitPointerLockPermissionRequestClass))
> +#define WEBKIT_IS_POINTER_LOCK_PERMISSION_REQUEST(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), WEBKIT_TYPE_POINTER_LOCK_PERMISSION_REQUEST))
> +#define WEBKIT_IS_POINTER_LOCK_PERMISSION_REQUEST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  WEBKIT_TYPE_POINTER_LOCK_PERMISSION_REQUEST))
> +#define WEBKIT_POINTER_LOCK_PERMISSION_REQUEST_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  WEBKIT_TYPE_POINTER_LOCK_PERMISSION_REQUEST, WebKitPointerLockPermissionRequestClass))

Isn't missing to add WebKitPointerLockPermissionRequest to WebKitAutocleanups.h?
Comment 4 Carlos Garcia Campos 2019-11-07 00:26:19 PST
Yes, I always forget to add the autocleanups.
Comment 5 Carlos Alberto Lopez Perez 2019-11-07 03:08:23 PST
(In reply to Carlos Garcia Campos from comment #4)
> Yes, I always forget to add the autocleanups.

Ok.

r=me once added the autocleanups.

It still needs another review to land since it adds new public API.
Comment 6 Adrian Perez 2019-11-07 05:40:56 PST
Comment on attachment 382921 [details]
Patch

LGTM, please remember to add the autocleanup as suggested by
Carlos López before landing. Thanks!
Comment 7 Carlos Garcia Campos 2019-11-08 01:19:09 PST
Committed r252234: <https://trac.webkit.org/changeset/252234>